Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.plugin.impl
Class RedirectPlugin

    java.lang.Object
      org.openxri.config.impl.AbstractComponent
          org.openxri.plugin.impl.RedirectPlugin

All Implemented Interfaces:
  java.io.Serializable, Component, Plugin

    public class RedirectPlugin

extends AbstractComponent
implements Plugin

A plugin that can issues a HTTP redirect to a preconfigured URI.

Author:
  =peacekeeper
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTIES_KEY_URI`

Fields inherited from class org.openxri.config.impl.AbstractComponent
`properties`

Constructor Summary
`RedirectPlugin(java.util.Properties properties)`

Method Summary
`void` | `init()` A server component is constructed by the ComponentRegistry by passing a Properties object to its constructor and then calling this init() method.
`boolean` | `processCustomRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process a request that is not an XRI lookup
`void` | `shutdown()`

Methods inherited from class org.openxri.config.impl.AbstractComponent
`getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openxri.config.Component
`getProperties`

Field Detail

### PROPERTIES_KEY_URI

    public static final java.lang.String PROPERTIES_KEY_URI

See Also:
  Constant Field Values

Constructor Detail

### RedirectPlugin

    public RedirectPlugin(java.util.Properties properties)

Method Detail

### init

    public void init()

  Description copied from interface: `Component`
  A server component is constructed by the ComponentRegistry by passing a Properties object to its constructor and then calling this init() method.

  Specified by:
    `init` in interface `Component`

### processCustomRequest

    public boolean processCustomRequest(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response)
                                 throws java.io.IOException

  Description copied from interface: `Plugin`
  Process a request that is not an XRI lookup

  Specified by:
    `processCustomRequest` in interface `Plugin`
  Returns:
    True, if the plugin successfully handled the request.
  Throws:
    `java.io.IOException`

### shutdown

    public void shutdown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.